Being able to add several folders to the library, and arrange that Audacious recognizes symlinks
Description

I love audacious, and I would love being able to import my whole library to the player.

Since it's not possible yet to add several music folders to the library, I tried to symlink every of my music folders to my ~/Music folder,

but Audacious won't recognize anything.

History

#1 - March 23, 2020 13:27 - John Lindgren

- Category set to plugins/search tool

#2 - March 23, 2020 15:41 - Ash Daveson

(by "arrange that Audacious recognizes symlinks", I meant "arrange that audacious recognizes symlinks for the library folder")

#3 - August 29, 2022 09:09 - Matt K

Audacity ignores directory symlinks on purpose (changed here https://redmine.audacious-media-player.org/issues/892), which makes it impossible to

add multiple folders to the library and generally makes it difficult to work with symlinked shortcuts.

It would be great, if there was an option to enable this behavior for users, who are aware of the consequences (potential infinite recursion). The option

could be in Settings > Advanced > Playlist > Follow Folder Symlinks.

I wouldn't mind taking a stab at it myself and doing a pull request, but the build instructions are very outdated.
